# Read in datafile (inc. check)
dat<-read.csv("J:\\PhD work\\Amphibian diversification study\\Analysis files\\family representation.csv",header=T,row.names=1)
summary(dat)
dat[1:10,]

# Correlation between total richness and dataset richness
cor.test(dat$tot,dat$cd) # r=0.76, t=9.78, P=7.6e-15
cor.test(dat$tot,dat$con) # r=0.94, t=23.19, P<2.2e-16

# Plots of these results
par(mfrow=c(2,2))
plot(log(tot)~log(cd),data=dat,ylab="log(Total species richness)",xlab="log(Sampled species richness)",main="Chemical defence")
plot(log(tot)~log(con),data=dat,ylab="log(Total species richness)",xlab="log(Sampled species richness)",main="Coloration")
plot(cdprop~log(tot),data=dat,ylab="Proportion sampled",xlab="log(Total species richness)",main="Chemical defence")
abline(h=median(dat$cdprop))
plot(conprop~log(tot),data=dat,ylab="Proportion sampled",xlab="log(Total species richness)",main="Coloration")
abline(h=median(dat$conprop))
