cd<-read.csv("J:\\PhD work\\Amphibian diversification study\\Analysis files\\cdpostburn.csv",header=T)
con<-read.csv("J:\\PhD work\\Amphibian diversification study\\Analysis files\\mussecon\\conpostburn.csv",header=T)

ecd0<-cd$mu0/cd$lambda0
ecd1<-cd$mu1/cd$lambda1
econ1<-con$mu1/con$lambda1
econ2<-con$mu2/con$lambda2
econ3<-con$mu3/con$lambda3
econ4<-con$mu4/con$lambda4

min(c(ecd0,ecd1,econ1,econ2,econ3,econ4))
max(c(ecd0,ecd1,econ1,econ2,econ3,econ4))

par(mfrow=c(2,3))
hist(ecd0,main="",ylab="Frequency",xlab="No chemical defence",col="dark blue",xlim=c(0,1))
hist(ecd1,main="",ylab="Frequency",xlab="Chemical defence",col="dark blue",xlim=c(0,1))
hist(econ1,main="",ylab="Frequency",xlab="Uncertain",col="dark blue",xlim=c(0,1))
hist(econ2,main="",ylab="Frequency",xlab="Cryptic",col="dark blue",xlim=c(0,1))
hist(econ3,main="",ylab="Frequency",xlab="Polymorphic",col="dark blue",xlim=c(0,1))
hist(econ4,main="",ylab="Frequency",xlab="Conspicuous",col="dark blue",xlim=c(0,1))

# Rabosky (2010) suggested that problems are frequent and present as a bimodal peak in species turnover rates (ex/sp) at values 0 and 1, indicating poor extinction rate estimation)
# In contrast, all plots show a unimodal peak and so are unlikely to suffer from the problems he highlights.

